################################################################################
#
# CHACOND
#
################################################################################

CHACOND_VERSION:= 1.0

CHACOND_SITE = $(TOPDIR)/../../src/prog/chacond/builders/cmake
CHACOND_SITE_METHOD = local
CHACOND_INSTALL_STAGING = YES

CHACOND_DEPENDENCIES = ubus json-c wiringpi

CHACOND_CONF = SRC_DIR=$(TOPDIR)/../..

CHACOND_CONF_ENV = $(CHACOND_CONF)
CHACOND_MAKE_ENV = $(CHACOND_CONF)
CHACOND_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
